Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Constants | Inherited Methods | [Expand All]
public final class

# PageDirection

extends Object

java.lang.Object
↳ | com.google.android.gms.games.PageDirection

## Class Overview

Direction constants for pagination over data sets.

## Summary

Constants
int | NEXT | Direction advancing toward the end of the data set.
int | NONE | Constant indicating that no pagination is occurring.
int | PREV | Direction advancing toward the beginning of the data set.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Constants

#### public static final int NEXT

Direction advancing toward the end of the data set.

Constant Value: 0 (0x00000000)

#### public static final int NONE

Constant indicating that no pagination is occurring.

Constant Value: -1 (0xffffffff)

#### public static final int PREV

Direction advancing toward the beginning of the data set.

Constant Value: 1 (0x00000001)